# PhasicFlow: readFromTimeFolder Class Reference

readFromTimeFolder Class Reference
Collaboration diagram for readFromTimeFolder:
[legend]

## Public Member Functions

| readFromTimeFolder (repository &rep)
auto | path () const
auto & | db ()
std::pair< bool, IOfileHeader > | fieldExists (word fieldName) const
bool | pointFieldFileGetType (word fieldName, word &typeName) const
template<typename T >
bool | pointFieldGetType (word &typeName) const
template<typename T >
bool | pointFieldGetCheckType (word fieldName, word &typeName) const
template<typename T >
pointField_H< T > & | createUniformPointField_H (word name, T value)
template<typename T >
pointField_H< T > & | readPointField_H (word name)
template<typename T >
pointField_D< T > & | readPointField_D (word name)

## Protected Member Functions

bool | checkForPointStructure () const

## Protected Attributes

repository & | repository_

## Detailed Description

Definition at line 31 of file readFromTimeFolder.hpp.

## Constructor & Destructor Documentation

## readFromTimeFolder()

readFromTimeFolder | ( | repository & | rep | ) |

Definition at line 23 of file readFromTimeFolder.cpp.

## Member Function Documentation

## checkForPointStructure()

bool checkForPointStructure | ( |  | ) | const

inlineprotected

Definition at line 37 of file readFromTimeFolder.hpp.

References repository::lookupObjectName(), pFlow::pointStructureFile__, and readFromTimeFolder::repository_.

Referenced by readFromTimeFolder::createUniformPointField_H(), readFromTimeFolder::readPointField_D(), and readFromTimeFolder::readPointField_H().

Here is the call graph for this function:
Here is the caller graph for this function:

## path()

auto path | ( |  | ) | const

inline

Definition at line 47 of file readFromTimeFolder.hpp.

References repository::path(), and readFromTimeFolder::repository_.

Here is the call graph for this function:

## db()

auto& db | ( |  | ) |

inline

Definition at line 52 of file readFromTimeFolder.hpp.

References readFromTimeFolder::repository_.

Referenced by processField::timeFolderRepository().

Here is the caller graph for this function:

## fieldExists()

std::pair< bool, pFlow::IOfileHeader > fieldExists | ( | word | fieldName | ) | const

Definition at line 30 of file readFromTimeFolder.cpp.

References IOfileHeader::headerOk(), objectFile::READ_ALWAYS, and objectFile::WRITE_NEVER.

Here is the call graph for this function:

## pointFieldFileGetType()

bool pointFieldFileGetType | ( | word | fieldName,
|  | word & | typeName
| ) |  | const

Definition at line 43 of file readFromTimeFolder.cpp.

References pFlow::endl(), fatalErrorInFunction, fatalExit, and pFlow::utilities::pointFieldGetType().

Referenced by readFromTimeFolder::pointFieldGetCheckType().

Here is the call graph for this function:
Here is the caller graph for this function:

## pointFieldGetType()

bool pointFieldGetType | ( | word & | typeName | ) | const

inline

Definition at line 65 of file readFromTimeFolder.hpp.

References pFlow::endl(), fatalErrorInFunction, and pFlow::utilities::pointFieldGetType().

Here is the call graph for this function:

## pointFieldGetCheckType()

bool pointFieldGetCheckType | ( | word | fieldName,
|  | word & | typeName
| ) |  | const

inline

Definition at line 84 of file readFromTimeFolder.hpp.

References fatalExit, and readFromTimeFolder::pointFieldFileGetType().

Here is the call graph for this function:

## createUniformPointField_H()

pointField_H<T>& createUniformPointField_H | ( | word | name,
|  | T | value
| ) |  |

inline

Definition at line 115 of file readFromTimeFolder.hpp.

References readFromTimeFolder::checkForPointStructure(), repository::emplaceReplaceObject(), pFlow::endl(), fatalErrorInFunction, fatalExit, repository::lookupObject(), repository::name(), pFlow::pointStructureFile__, pStruct, objectFile::READ_NEVER, readFromTimeFolder::repository_, and objectFile::WRITE_NEVER.

Here is the call graph for this function:

## readPointField_H()

pointField_H<T>& readPointField_H | ( | word | name | ) |

inline

Definition at line 145 of file readFromTimeFolder.hpp.

References readFromTimeFolder::checkForPointStructure(), repository::emplaceObjectOrGet(), pFlow::endl(), fatalErrorInFunction, fatalExit, repository::lookupObject(), repository::name(), pFlow::pointStructureFile__, pStruct, objectFile::READ_IF_PRESENT, readFromTimeFolder::repository_, and objectFile::WRITE_ALWAYS.

Here is the call graph for this function:

## readPointField_D()

pointField_D<T>& readPointField_D | ( | word | name | ) |

inline

Definition at line 171 of file readFromTimeFolder.hpp.

References readFromTimeFolder::checkForPointStructure(), repository::emplaceObjectOrGet(), pFlow::endl(), fatalErrorInFunction, fatalExit, repository::lookupObject(), repository::name(), pFlow::pointStructureFile__, pStruct, objectFile::READ_IF_PRESENT, readFromTimeFolder::repository_, and objectFile::WRITE_ALWAYS.

Here is the call graph for this function:

## Member Data Documentation

## repository_

repository& repository_

protected

Definition at line 35 of file readFromTimeFolder.hpp.

Referenced by readFromTimeFolder::checkForPointStructure(), readFromTimeFolder::createUniformPointField_H(), readFromTimeFolder::db(), readFromTimeFolder::path(), readFromTimeFolder::readPointField_D(), and readFromTimeFolder::readPointField_H().

The documentation for this class was generated from the following files:

- utilities/Utilities/readFromTimeFolder.hpp
- utilities/Utilities/readFromTimeFolder.cpp